extends ../layouts/navbar
include ../components/loading

block content
    .text-center
        h1 Importing Questions to question bank #{data.name}
        +loading()
    script.
        function poll() {
            let loadingBar = $('#loadingtext');
            $.ajax({
                url: '/questions/importStatus/#{processKey}',
                dataType: 'json',
                async: true,
                success: (data) => {
                    loadingBar.text(data.status);
                    console.log(data);
                    if (data.finished) {
                        setTimeout(() => window.location.href = '/questions/info/#{data.id}?imps=#{processKey}', 5000);
                        console.log("REDIRECT HERE");
                    }
                    else setTimeout(poll,100);
                }
            })
        }
        $(document).ready(() => {poll();});
